{
  "name": "Focus Map Scraper",
  "description": "Focus Map Scraper",
  "version": "15.0",
  "background": {
    "service_worker": "controllers/background.js"
  },
  "action": {
    "default_icon": "assets/icons/icon.png",
    "default_title": "Focus Map Scraper",
    "default_popup": "popup/index.html"
  },
  "icons": {
    "16": "assets/icons/icon.png",
    "48": "assets/icons/icon.png",
    "128": "assets/icons/icon.png"
  },
  "permissions": [
    "debugger",
    "windows",
    "scripting",
    "tabs",
    "storage",
    "unlimitedStorage",
    "notifications",
    "contextMenus",
    "identity"
  ],
  "host_permissions": [
    "https://*.google.com/*",
    "http://foxoyo.store/*",
    "https://foxoyo.store/*",
    "<all_urls>"
  ],
  "content_scripts": [
    {
      "matches": [
        "https://*.google.com/maps/*"
      ],
      "css":["assets/css/content.css"],
      "js": [
        "assets/vendors/lockr.min.js",
        "assets/vendors/lodash.min.js",
        "libs/ChromeBox.js",
        "controllers/localModel.js",
        "assets/vendors/angular.min.js",
        "assets/vendors/jquery.min.js",
        "assets/vendors/semantic.min.js",
        "libs/foxCommon.js",
        "controllers/GoogleForm.js",
        "config/app.js",
        "libs/TaskManager.js",
        "controllers/TaskManagerContainer.js",
        "controllers/parser.js",
        "controllers/content.js",
        "controllers/index.js"
      ],
      "run_at": "document_end"
    }
  ],
  "web_accessible_resources": [
    {
      "resources": ["controllers/injectedScript.js","controllers/ajax-hook.js"],
      "matches": [
        "https://*.google.com/*"
      ]
    },
    {
      "resources": ["controllers/worker.js", "assets/vendors/dx.all.js", "assets/vendors/lodash.min.js"],
      "matches": [
        "<all_urls>"
      ]
    }
  ],
  "manifest_version":3
}
